Microwave filters GUI 2.0.3

- Main Page
- Related Pages
- Packages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libcommonfunc.FrequencyTransformBP Class Reference

Frequency transformation fro band pass to low pass prototype. More...

## Public Member Functions
def | __init__
| Create a frequency transformation instance.
def | normFreq
| Normalize frequency to lowpass prototype.
def | unormFreq
| Unnormalize frequency from lowpass prototype.
def | unormGroupDelay
| Convert lowpass prototype group delay to unnormalized group delay.
def | normGroupDelay
| Convert unnormalized group delay to lowpass prototype group delay.

## Detailed Description

Frequency transformation fro band pass to low pass prototype.

Definition at line 4071 of file libcommonfunc.py.

## Constructor & Destructor Documentation

def libcommonfunc.FrequencyTransformBP.__init__ | ( |  | self,
|  |  | P
| ) |  |

Create a frequency transformation instance.

Fractional bandwidth.

Definition at line 4076 of file libcommonfunc.py.

References libcommonfunc.FrequencyTransformBP.BW, libcommonfunc.Sparameters.f0, libcommonfunc.FrequencyTransformBP.f0, libcommonfunc.Sparameters.FBW, and libcommonfunc.FrequencyTransformBP.FBW.

## Member Function Documentation

def libcommonfunc.FrequencyTransformBP.normFreq | ( |  | self,
|  |  | freq
| ) |  |

Normalize frequency to lowpass prototype.

        @param freq = Vector with frequency values to convert (in Hz). Numpy array.
        @return Vector with lowpass prototype normalized frequency values. Numpy array.

        [Cameron eq. (3.113)]:

Definition at line 4095 of file libcommonfunc.py.

References libcommonfunc.FrequencyTransformBP.BW, libcommonfunc.Sparameters.f0, and libcommonfunc.FrequencyTransformBP.f0.

def libcommonfunc.FrequencyTransformBP.normGroupDelay | ( |  | self,
|  |  | groupDelay
| ) |  |

Convert unnormalized group delay to lowpass prototype group delay.

        @param groupDelay = Double with unnormalized group delay (in seconds) value to convert.
        @return groupDelay = normalized filter group delay value.

        [Cameron, eq. (3.91)]:

Definition at line 4157 of file libcommonfunc.py.

References libcommonfunc.FrequencyTransformBP.BW.

def libcommonfunc.FrequencyTransformBP.unormFreq | ( |  | self,
|  |  | w
| ) |  |

Unnormalize frequency from lowpass prototype.

        @param w = Vector with normalized frequency values to convert. Numpy array.
        @return Vector with unnormalized frequency values (in Hz). Numpy array.

with :

Definition at line 4126 of file libcommonfunc.py.

References libcommonfunc.Sparameters.f0, libcommonfunc.FrequencyTransformBP.f0, libcommonfunc.Sparameters.FBW, and libcommonfunc.FrequencyTransformBP.FBW.

def libcommonfunc.FrequencyTransformBP.unormGroupDelay | ( |  | self,
|  |  | freq,
|  |  | groupDelay
| ) |  |

Convert lowpass prototype group delay to unnormalized group delay.

        @param freq = Vector with unnormalized frequency values (in Hz). Numpy array.
        @param groupDelay = Vector with lowpass prototype group delay values to convert. Numpy array.
        @return Vector with unnormalized filter group delay values (in seconds). Numpy array.

        [Cameron, eq. (3.90)]:

Definition at line 4144 of file libcommonfunc.py.

References libcommonfunc.FrequencyTransformBP.BW, libcommonfunc.Sparameters.f0, and libcommonfunc.FrequencyTransformBP.f0.

The documentation for this class was generated from the following file:

- libcommonfunc.py